## org.eclipse.datatools.sqltools.schemaobjecteditor.ui
Interface IResourceChangeHandler

All Known Subinterfaces:
  ISchemaObjectEditor, ISchemaObjectEditorHandler

All Known Implementing Classes:
  ASAProceduralObjectEditorHandler, ASATableSchemaEditorHandler, DefaultSchemaObjectEditorHandler, ProceduralObjectEditorHandler, SchemaObjectEditor

    public interface IResourceChangeHandler

A resource change handler is notified to do some cleaning job when the editing resource is changed, renamed or deleted.

Author:
  Idull

Method Summary
`void` `resouceChanged(IResourceChangeEvent event)` The consumer need to call this method when the resouce is changed outside of the schema editor's scope

Method Detail

### resouceChanged

    void resouceChanged(IResourceChangeEvent event)

  The consumer need to call this method when the resouce is changed outside of the schema editor's scope